Subject: Re: fgrep -i slow in 2.21

From: Paul Eggert <[email-masked]>
Date: Sun, 10 Apr 2016 22:02:18 -0700

This is following up on:

http://bugs.gnu.org/22239

Could you please supply some specific test cases to illustrate the problem? I'm 
not seeing it, but this could be because I'm not using your locale, or am using 
machine-generated patterns. I am using master grep in the C locale on Ubuntu 
15.10, with a pattern file generated like this:

seq -f 'pattern %g' 100000 >list.txt

and running commands like this in the 'grep' source directory:

src/grep -F -i -f list.txt $(git ls-files | grep -v gnulib)

(or the same command without -i).